Bug 1003965 - Syncing a repo that doesn't have a feed fails less than gracefully
Syncing a repo that doesn't have a feed fails less than gracefully
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
x86_64 Linux
medium Severity medium
: ---
: 2.4.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 11:06 EDT by Randy Barlow
Modified: 2014-08-09 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:56:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-09-03 11:06:25 EDT
$ pulp-admin rpm repo create --repo-id test

$ pulp-admin rpm repo sync run --repo-id test
+----------------------------------------------------------------------+
                    Synchronizing Repository [test]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... failed

'NoneType' object has no attribute 'endswith'
Comment 1 Barnaby Court 2013-12-02 09:04:48 EST
PR: https://github.com/pulp/pulp_rpm/pull/403
Comment 2 Jeff Ortel 2014-04-03 09:35:59 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-04-15 15:39:35 EDT
verified

[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# pulp-admin rpm repo create --repo-id test
Successfully created repository [test]

[root@pulp-24-server ~]# pulp-admin rpm repo sync run --repo-id test
+----------------------------------------------------------------------+
                    Synchronizing Repository [test]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Downloading metadata...
[-]
... failed

Unable to sync a repository that has no feed


Task Failed

Importer indicated a failed response

[root@pulp-24-server ~]#
Comment 4 Randy Barlow 2014-08-09 02:56:25 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.